Data Fields

# Udata Union Reference

`#include <lua/lobject.h>`

Collaboration diagram for Udata:
[legend]

## Data Fields
L_Umaxalign | dummy
struct {
GCObject * next
lu_byte tt
lu_byte marked
struct Table * metatable
struct Table * env
size_t len
} | uv

## Detailed Description

Definition at line 215 of file lobject.h.

## Field Documentation

L_Umaxalign Udata::dummy

Definition at line 216 of file lobject.h.

struct Table* Udata::env

Definition at line 220 of file lobject.h.

Referenced by luaS_newudata().

size_t Udata::len

Definition at line 221 of file lobject.h.

Referenced by luaS_newudata().

lu_byte Udata::marked

Definition at line 218 of file lobject.h.

Referenced by luaS_newudata().

struct Table* Udata::metatable

Definition at line 219 of file lobject.h.

Referenced by GCTM(), and luaS_newudata().

GCObject* Udata::next

Definition at line 218 of file lobject.h.

Referenced by GCTM(), and luaS_newudata().

lu_byte Udata::tt

Definition at line 218 of file lobject.h.

Referenced by luaS_newudata().

struct { ... } Udata::uv

Referenced by GCTM(), and luaS_newudata().

The documentation for this union was generated from the following file:

- lua/lobject.h